Bug 121838 - April date formatting bug
April date formatting bug
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
http://qa.openoffice.org/issues/show_...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 10:57 EDT by dexterthrowaway
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: FC2/FC3/rawhide
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 05:54:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dexterthrowaway 2004-04-28 10:57:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
There is a bug in OpenOffice.org 1.1.0 that displays dates in April
incorrectly. It is described in qa.openoffice.org at 

http://qa.openoffice.org/issues/show_bug.cgi?id=17222

An example is typing 4/11 in Calc while in year 2004. The date won't
format correctly, even if you've correctly setup the cell formatting
to Date format. Other years have other dates as problems, example, for
year 2005 it's 4/10.

This has been fixed in OpenOffice.org 1.1.1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open Calc 1.1.0.
2. Enter the date 4/11/04 in Cell A1.
3. Enter the date 4/12/04 in Cell A2.
4. Enter the date 4/13/04 in Cell A3.
5. Enter the date 4/10/05 in Cell A4.
6. Format all cells to date, preferably something easier to read, like
"April 11, 2004".
    

Actual Results:  The dates 4/11/04 and 4/10/05 are not formatted
correctly.

Expected Results:  The dates mentioned above should have been
formatted correctly.

Additional info:

This has been fixed in OpenOffice.org 1.1.1, according to the QA link
mentioned above. I am hoping that OpenOffice.org 1.1.1 is released as
an update for FC1 or that, if easy enough, the fix is backported.
Comment 1 Colin Charles 2004-10-15 12:02:05 EDT
Dan, how's this bug going? FC2 users still report it, can it be
repeated in Rawhide? 

Relevant bug from upstream:
http://qa.openoffice.org/issues/show_bug.cgi?id=24082

Bug initially filed under FC1, so this is now a Legacy issue - Dexter
(bug reporter), please file this at Legacy's bugzilla - bugzilla.fedora.us
Comment 2 dexterthrowaway 2004-10-16 06:24:05 EDT
Roger dodger. Bug filed for Fedora Legacy at:

http://bugzilla.fedora.us/show_bug.cgi?id=2162

with info updating to the link from comment #1 regarding fix as
actually in 1.1.2 and not fully in 1.1.1.
Comment 3 Caolan McNamara 2004-12-10 05:54:11 EST
Yeah, this fix is in the 1.1.2 that we now have in fc2/fc2/rawhide,
all should be well on supported releases.

Note You need to log in before you can comment on or make changes to this bug.